searchNodes=[{"doc":"Basic implementation of Microsoft Excel's GoalSeek macro, inspired by https://github.com/adam-hanna/goal-seek","ref":"GoalSeek.html","title":"GoalSeek","type":"module"},{"doc":"Find the specified numeric result by adjusting and returning a correct input value iex&gt; GoalSeek . seek ( 5 , &amp; Kernel . + / 2 , [ 3 , 0 ] , 1 ) { :ok , 2 } iex&gt; GoalSeek . seek ( - 10 , &amp; :math . pow ( &amp;1 , 3 ) , [ 0 ] , 0 ) { :ok , - 2.15 } iex&gt; GoalSeek . seek ( - 10 , &amp; :math . pow ( &amp;1 , 3 ) , [ 0 ] , 0 , float_precision : 5 ) { :ok , - 2.15443 }","ref":"GoalSeek.html#seek/5","title":"GoalSeek.seek/5","type":"function"},{"doc":"Basic implementation of Microsoft Excel's GoalSeek macro, inspired by Adam Hanna's Javascript library . This library can be used to find the value of an independent variable x given a function f and some defined goal y , so that y = f(x) . Given a desired output and a known function, goal seek finds the correct input to yield such an output. Based on Steffensen's Method to find the root of the error.","ref":"readme.html","title":"GoalSeek","type":"extras"},{"doc":"Install the package by adding goal_seek to your list of dependencies in mix.exs : def deps do [ { :goal_seek , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"GoalSeek - Installation","type":"extras"},{"doc":"The library contains only one module with a public function: &amp;GoalSeek.seek/5 . The function arguments are the following: Name Description goal the desired output of the function function the function that is being evaluated, it can have any arity parameters the initial list of parameters that will be used as input of the function independent_variable_index the index position of the independent variable x in the f_params list options keyword list of options, see next table Available options: Name Description Default :tolerance_percentage the acceptable error range to the stated goal. For instance, setting this value to 1 will be interpreted as ± 1% nil :tolerance_fn a custom function used to check the validity of the result, it takes one argument ( current_result ) and returns a boolean. If this value is set :tolerance_percentage option is ignored nil :max_iterations the maximum number of attempts to make 1000 :max_step the maximum step size to move the independent variable x for the next guess nil :float_precision the desired float precision for the independent variable 2","ref":"readme.html#usage","title":"GoalSeek - Usage","type":"extras"},{"doc":"iex&gt; GoalSeek . seek ( 7 , &amp; Kernel . + / 2 , [ 3 , 0 ] , 1 ) { :ok , 4 } iex&gt; GoalSeek . seek ( 4 , &amp; ( &amp;1 * &amp;1 ) , [ 0 ] , 0 ) { :ok , - 2 } iex&gt; GoalSeek . seek ( 4 , &amp; ( &amp;1 * &amp;1 ) , [ 3 ] , 0 ) { :ok , 2 } iex&gt; GoalSeek . seek ( - 10 , &amp; :math . pow ( &amp;1 , 3 ) , [ 0 ] , 0 ) { :ok , - 2.15 } iex&gt; GoalSeek . seek ( - 10 , &amp; :math . pow ( &amp;1 , 3 ) , [ 0 ] , 0 , float_precision : 5 ) { :ok , - 2.15443 } iex&gt; GoalSeek . seek ( 10000 , fn x -&gt; x + 1 end , [ 0 ] , 0 , max_step : 1 , max_iterations : 10 ) { :error , :cannot_converge } See test/goal_seek_test.exs for other examples!","ref":"readme.html#examples","title":"GoalSeek - Examples","type":"extras"},{"doc":"Fabio Pellegrini - Author/Maintainer","ref":"readme.html#contributors","title":"GoalSeek - Contributors","type":"extras"}]